module joystick (
  input clk,
  input rst,
  input up,
  input down,
  input left,
  input right,
  input fire1,
  input fire2,

  output reg [7:0] led_on
);

always @(posedge clk )
begin

led_on[7] = ~up;
led_on[6] = ~down; 
led_on[5] = ~left;
led_on[4] = ~right;
led_on[3] = ~fire1;
led_on[2] = ~fire2;
led_on[1] = 1'b0;
led_on[0] = 1'b0;
end

endmodule
